Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloader.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloader.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloader.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloaderException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloaderException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloaderException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/AddTaskToHiveException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/AddTaskToHiveException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/AddTaskToHiveException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/AnonymousUserException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/AnonymousUserException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/AnonymousUserException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/HiveException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/HiveException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/HiveException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/OptimizerNotFoundException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/OptimizerNotFoundException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/OptimizerNotFoundException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/ResourceNotFoundException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/ResourceNotFoundException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/ResourceNotFoundException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/ServiceClientFactoryException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/ServiceClientFactoryException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/ServiceClientFactoryException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/TaskResultPollingException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/TaskResultPollingException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Exceptions/TaskResultPollingException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveAdminClient.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveAdminClient.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveAdminClient.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveClient.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveClient.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveClient.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -351,5 +351,5 @@
     /// </summary>
     /// <param name="parentHiveTask">shall be null if its the root task</param>
-    private void UploadTaskWithChildren(Progress progress, HiveTask hiveTask, HiveTask parentHiveTask, IEnumerable<Guid> groups, int[] taskCount, int totalJobCount, Guid configPluginId, Guid jobId, ILog log, bool isPrivileged, CancellationToken cancellationToken) {
+    private void UploadTaskWithChildren(IProgress progress, HiveTask hiveTask, HiveTask parentHiveTask, IEnumerable<Guid> groups, int[] taskCount, int totalJobCount, Guid configPluginId, Guid jobId, ILog log, bool isPrivileged, CancellationToken cancellationToken) {
       taskUploadSemaphore.WaitOne();
       bool semaphoreReleased = false;
@@ -362,5 +362,5 @@
         List<IPluginDescription> plugins;
 
-        if (hiveTask.ItemTask.ComputeInParallel && (hiveTask.ItemTask.Item is Optimization.Experiment || hiveTask.ItemTask.Item is Optimization.BatchRun)) {
+        if (hiveTask.ItemTask.ComputeInParallel) {
           hiveTask.Task.IsParentTask = true;
           hiveTask.Task.FinishWhenChildJobsFinished = true;
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveServiceLocator.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveServiceLocator.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveServiceLocator.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +21,5 @@
 
 using System;
+using System.ServiceModel;
 using HeuristicLab.Clients.Common;
 
@@ -69,5 +70,5 @@
           return cl;
         }
-        catch (Exception exc) {
+        catch (EndpointNotFoundException exc) {
           exception = exc;
           EndpointRetries++;
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/EngineHiveTask.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/EngineHiveTask.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/EngineHiveTask.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,6 +32,6 @@
     #region Constructors and cloning
     public EngineHiveTask() { }
-    public EngineHiveTask(EngineTask engineJob, IScope parentScopeClone)
-      : base(engineJob) {
+    public EngineHiveTask(EngineTask engineTask, IScope parentScopeClone)
+      : base(engineTask) {
       this.parentScopeClone = parentScopeClone;
     }
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -182,14 +182,14 @@
     }
 
-    public HiveTask(ItemTask itemJob, bool autoCreateChildHiveJobs)
+    public HiveTask(ItemTask itemTask, bool autoCreateChildHiveTasks)
       : this() {
-      this.syncTasksWithOptimizers = autoCreateChildHiveJobs;
-      this.ItemTask = itemJob;
+      this.syncTasksWithOptimizers = autoCreateChildHiveTasks;
+      this.ItemTask = itemTask;
       this.syncTasksWithOptimizers = true;
     }
 
-    public HiveTask(Task job, TaskData taskData, bool autoCreateChildHiveTasks) {
+    public HiveTask(Task task, TaskData taskData, bool autoCreateChildHiveTasks) {
       this.syncTasksWithOptimizers = autoCreateChildHiveTasks;
-      this.Task = job;
+      this.Task = task;
       try {
         this.ItemTask = PersistenceUtil.Deserialize<ItemTask>(taskData.Data);
@@ -545,5 +545,5 @@
     public new T ItemTask {
       get { return (T)base.ItemTask; }
-      internal set { base.ItemTask = value; }
+      set { base.ItemTask = value; }
     }
 
@@ -552,5 +552,5 @@
     [StorableConstructor]
     protected HiveTask(bool deserializing) { }
-    public HiveTask(T itemJob) : base(itemJob, true) { }
+    public HiveTask(T itemTask) : base(itemTask, true) { }
     protected HiveTask(HiveTask<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/IHiveServiceLocator.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/IHiveServiceLocator.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/IHiveServiceLocator.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/JobResultPoller.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/JobResultPoller.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/JobResultPoller.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Plugin.cs.frame
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Plugin.cs.frame	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Plugin.cs.frame	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [Plugin("HeuristicLab.Clients.Hive", "3.3.9.$WCREV$")]
+  [Plugin("HeuristicLab.Clients.Hive", "3.3.10.$WCREV$")]
   [PluginFile("HeuristicLab.Clients.Hive-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Clients.Common", "3.3")]
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2013 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.9.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/RefreshableJob.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/RefreshableJob.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/RefreshableJob.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -157,6 +157,6 @@
     }
 
-    private Progress progress;
-    public Progress Progress {
+    private IProgress progress;
+    public IProgress Progress {
       get { return progress; }
       set {
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ScopeExtensions.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ScopeExtensions.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ScopeExtensions.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Downtime.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Downtime.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Downtime.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Heartbeat.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Heartbeat.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Heartbeat.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItemCollection.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItemCollection.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItemCollection.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/IHiveItem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/IHiveItem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/IHiveItem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Job.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Job.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Job.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/JobPermission.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/JobPermission.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/JobPermission.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/LightweightTask.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/LightweightTask.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/LightweightTask.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/MessageContainer.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/MessageContainer.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/MessageContainer.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/NamedHiveItem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/NamedHiveItem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/NamedHiveItem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Plugin.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Plugin.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Plugin.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/PluginData.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/PluginData.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/PluginData.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Resource.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Resource.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Resource.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/ResourcePermission.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/ResourcePermission.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/ResourcePermission.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Slave.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Slave.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Slave.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/SlaveGroup.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/SlaveGroup.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/SlaveGroup.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/SlaveStatistics.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/SlaveStatistics.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/SlaveStatistics.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/StateLog.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/StateLog.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/StateLog.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Statistics.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Statistics.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Statistics.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Task.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Task.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/Task.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,7 @@
   public partial class Task : LightweightTask {
 
-    public Task() { }
+    public Task() {
+      Priority = 1;
+    }
 
     protected Task(Task original, Cloner cloner)
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/TaskData.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/TaskData.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/TaskData.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/UserPriority.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/UserPriority.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/UserPriority.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/UserStatistics.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/UserStatistics.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/ServiceClients/UserStatistics.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/StateLogList.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/StateLogList.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/StateLogList.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TaskDownloader.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TaskDownloader.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TaskDownloader.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,4 @@
 using System.Linq;
 using System.Threading;
-using HeuristicLab.Clients.Hive.Jobs;
 using HeuristicLab.Common;
 
@@ -79,8 +78,8 @@
 
     public TaskDownloader(IEnumerable<Guid> jobIds) {
-      this.taskIds = jobIds;
-      this.taskDownloader = new ConcurrentTaskDownloader<ItemTask>(Settings.Default.MaxParallelDownloads, Settings.Default.MaxParallelDownloads);
-      this.taskDownloader.ExceptionOccured += new EventHandler<EventArgs<Exception>>(taskDownloader_ExceptionOccured);
-      this.results = new Dictionary<Guid, HiveTask>();
+      taskIds = jobIds;
+      taskDownloader = new ConcurrentTaskDownloader<ItemTask>(Settings.Default.MaxParallelDownloads, Settings.Default.MaxParallelDownloads);
+      taskDownloader.ExceptionOccured += new EventHandler<EventArgs<Exception>>(taskDownloader_ExceptionOccured);
+      results = new Dictionary<Guid, HiveTask>();
     }
 
@@ -88,16 +87,11 @@
       foreach (Guid taskId in taskIds) {
         taskDownloader.DownloadTaskDataAndTask(taskId,
-          (localJob, itemJob) => {
-            if (localJob != null && itemJob != null) {
-              HiveTask hiveTask;
-              if (itemJob is OptimizerTask) {
-                hiveTask = new OptimizerHiveTask((OptimizerTask)itemJob);
-              } else {
-                hiveTask = new HiveTask(itemJob, true);
-              }
-              hiveTask.Task = localJob;
+          (localTask, itemTask) => {
+            if (localTask != null && itemTask != null) {
+              HiveTask hiveTask = itemTask.CreateHiveTask();
+              hiveTask.Task = localTask;
               try {
                 resultsLock.EnterWriteLock();
-                this.results.Add(localJob.Id, hiveTask);
+                results.Add(localTask.Id, hiveTask);
               }
               finally { resultsLock.ExitWriteLock(); }
@@ -113,6 +107,6 @@
     public event EventHandler<EventArgs<Exception>> ExceptionOccured;
     private void OnExceptionOccured(Exception exception) {
-      this.exceptionOccured = true;
-      this.currentException = exception;
+      exceptionOccured = true;
+      currentException = exception;
       var handler = ExceptionOccured;
       if (handler != null) handler(this, new EventArgs<Exception>(exception));
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,4 +29,9 @@
   [StorableClass]
   public class EngineTask : ItemTask {
+    public override HiveTask CreateHiveTask() {
+      //only used when deserializing, so no problem with parentscope
+      return new EngineHiveTask(this, null);
+    }
+
     [Storable]
     protected IOperation initialOperation;
@@ -54,4 +59,6 @@
       this.Item = engine;
     }
+
+    public EngineTask(IEngine engine) : base(engine) { }
 
     [StorableConstructor]
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,8 +22,10 @@
 using System;
 using System.Drawing;
+using System.Linq;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Hive;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.Hive {
@@ -31,6 +33,11 @@
   [StorableClass]
   public abstract class ItemTask : NamedItem, ITask {
+    public virtual HiveTask CreateHiveTask() {
+      return new HiveTask(this, true);
+    }
+
     public virtual bool IsParallelizable {
       get { return true; }
+      set { }
     }
 
@@ -71,4 +78,7 @@
       this.Item = cloner.Clone(original.Item);
     }
+    public ItemTask(IItem item) {
+      Item = item;
+    }
 
     [StorableHook(HookType.AfterDeserialization)]
@@ -211,4 +221,27 @@
       return Name;
     }
+
+    #region Helpers
+    public static bool IsTypeSupported(Type itemType) {
+      var supportedHiveTaskTypes = ApplicationManager.Manager.GetTypes(typeof(ItemTask))
+          .Select(t => t.GetProperties().Single(x => x.Name == "Item" && x.PropertyType != typeof(IItem)).PropertyType);
+      return supportedHiveTaskTypes.Any(x => x.IsAssignableFrom(itemType));
+    }
+
+    public static Type GetHiveTaskType(Type itemType) {
+      if (!IsTypeSupported(itemType)) throw new Exception("Item " + itemType + " is not supported for Hive.");
+
+      var typeHiveTaskMap = ApplicationManager.Manager.GetTypes(typeof(ItemTask))
+          .Select(t => new Tuple<Type, Type>(t.GetProperties().Single(x => x.Name == "Item" && x.PropertyType != typeof(IItem)).PropertyType, t));
+
+      return typeHiveTaskMap.Single(x => x.Item1.IsAssignableFrom(itemType)).Item2;
+    }
+
+    public static ItemTask GetItemTaskForItem(IItem item) {
+      Type itemType = item.GetType();
+      Type hiveTaskType = GetHiveTaskType(itemType);
+      return Activator.CreateInstance(hiveTaskType, new object[] { item }) as ItemTask;
+    }
+    #endregion
   }
 }
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,4 +30,8 @@
   [StorableClass]
   public class OptimizerTask : ItemTask {
+    public override HiveTask CreateHiveTask() {
+      return new OptimizerHiveTask(this);
+    }
+
     public override bool IsParallelizable {
       get { return this.Item is Experiment || this.Item is BatchRun; }
@@ -46,11 +50,9 @@
     }
 
-    public OptimizerTask(IOptimizer optimizer) {
-      this.Item = optimizer;
-
-      if (optimizer is Experiment) {
+    public OptimizerTask(IOptimizer optimizer)
+      : base(optimizer) {
+
+      if (optimizer is Experiment || optimizer is BatchRun) {
         this.ComputeInParallel = true;
-      } else if (optimizer is BatchRun) {
-        this.ComputeInParallel = false;
       } else {
         this.ComputeInParallel = false;
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TreeView/IItemTree.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TreeView/IItemTree.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TreeView/IItemTree.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TreeView/IItemTreeAction.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TreeView/IItemTreeAction.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/TreeView/IItemTreeAction.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Util/PersistenceUtil.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Util/PersistenceUtil.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Util/PersistenceUtil.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Util/PluginUtil.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Util/PluginUtil.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.Hive/3.3/Util/PluginUtil.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
